Welcome to the New BigPanda API Documentation
Bearer.Authorization: Bearer [YOUR_USER_API_KEY]expand=alerts in the query. When making a call with alerts expanded, page size cannot be larger than 10. An expanded call with a page size greater than 10 will return a 400 error.curl --location 'https://api.bigpanda.io/resources/v2.0/environments//incidents?query=&from=&to=&sort_by=&page=&page_size=&expand=&folder=' \
--header 'Authorization: Bearer <token>'{
"id": "60a4ee83bb7d9d046b8d7a93",
"status": "Ok",
"active": true,
"severity": "Critical",
"flapping": true,
"shared": true,
"maintenance": {},
"start": 1621421699,
"changed_at": 1629410549,
"updated_at": 1613252381,
"end": 1629410549,
"alerts": [
{
"alert_id": "60a4ee83bb7d9d046b8d7a93"
}
],
"environments": [
"string"
],
"folders": [
"string"
],
"incident_tags": [
{}
],
"correlation_matchers_log": [
[
{
"time_window": 7200,
"tags": [
{
"name": "case",
"value": "sensitive1"
}
],
"correlation_id": "a02fde2f-0ec3-4cc2-9cbd-74895cb13050",
"source_system": "api.backend_monitoring"
}
]
]
}